## org.eclipse.emf.ecore
Interface EReference

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EStructuralFeature, ETypedElement, Notifier

All Known Implementing Classes:
  EReferenceImpl

    public interface EReference

extends EStructuralFeature

A representation of the model object 'EReference'.

The following features are supported:

- `Containment`
- `Container`
- `Resolve Proxies`
- `EOpposite`
- `EReference Type`
- `EKeys`

See Also:
  `EcorePackage.getEReference()`

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`EStructuralFeature.Internal, EStructuralFeature.Setting`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`EList<EAttribute>` `getEKeys()` Returns the value of the 'EKeys' reference list.
`EReference` `getEOpposite()` Returns the value of the 'EOpposite' reference
`EClass` `getEReferenceType()` Returns the value of the 'EReference Type' reference
`boolean` `isContainer()` Returns the value of the 'Container' attribute
`boolean` `isContainment()` Returns the value of the 'Containment' attribute
`boolean` `isResolveProxies()` Returns the value of the 'Resolve Proxies' attribute.
`void` `setContainment(boolean value)` Sets the value of the '`Containment`' attribute
`void` `setEOpposite(EReference value)` Sets the value of the '`EOpposite`' reference
`void` `setResolveProxies(boolean value)` Sets the value of the '`Resolve Proxies`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EStructuralFeature
`getContainerClass, getDefaultValue, getDefaultValueLiteral, getEContainingClass, getFeatureID, isChangeable, isDerived, isTransient, isUnsettable, isVolatile, setChangeable, setDefaultValue, setDefaultValueLiteral, setDerived, setTransient, setUnsettable, setVolatile`

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isContainment

    boolean isContainment()

  Returns the value of the 'Containment' attribute. A reference is a containment if it represents by-value content.

  Returns:
    the value of the 'Containment' attribute.
  See Also:
    `setContainment(boolean)`, `EcorePackage.getEReference_Containment()`

### setContainment

    void setContainment(boolean value)

  Sets the value of the '`Containment`' attribute.

  Parameters:
    `value` - the new value of the 'Containment' attribute.
  See Also:
    `isContainment()`

### isContainer

    boolean isContainer()

  Returns the value of the 'Container' attribute.

  A reference is a container if it has an `opposite` that is a `containment`.

  Returns:
    the value of the 'Container' attribute.
  See Also:
    `EcorePackage.getEReference_Container()`

### isResolveProxies

    boolean isResolveProxies()

  Returns the value of the 'Resolve Proxies' attribute. The default value is `"true"`.

  It represents whether `proxies` will be automatically resolved.

  Returns:
    the value of the 'Resolve Proxies' attribute.
  See Also:
    `setResolveProxies(boolean)`, `EcorePackage.getEReference_ResolveProxies()`

### setResolveProxies

    void setResolveProxies(boolean value)

  Sets the value of the '`Resolve Proxies`' attribute.

  Parameters:
    `value` - the new value of the 'Resolve Proxies' attribute.
  See Also:
    `isResolveProxies()`

### getEOpposite

    EReference getEOpposite()

  Returns the value of the 'EOpposite' reference.

  It represent the other end of a bidirectional relation.

  Returns:
    the value of the 'EOpposite' reference.
  See Also:
    `setEOpposite(EReference)`, `EcorePackage.getEReference_EOpposite()`

### setEOpposite

    void setEOpposite(EReference value)

  Sets the value of the '`EOpposite`' reference.

  Parameters:
    `value` - the new value of the 'EOpposite' reference.
  See Also:
    `getEOpposite()`

### getEReferenceType

    EClass getEReferenceType()

  Returns the value of the 'EReference Type' reference.

  The `type` of a reference must always be a class; this method provides access to it.

  Returns:
    the value of the 'EReference Type' reference.
  See Also:
    `EcorePackage.getEReference_EReferenceType()`

### getEKeys

    EList<EAttribute> getEKeys()

  Returns the value of the 'EKeys' reference list. The list contents are of type `EAttribute`.

  If the meaning of the 'EKeys' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'EKeys' reference list.
  See Also:
    `EcorePackage.getEReference_EKeys()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.